Package com.stardog.stark

# Class Axioms.RestrictedDatatype

java.lang.Object
com.stardog.stark.impl.AxiomImpl
com.stardog.stark.Axioms.RestrictedDatatype

All Implemented Interfaces:
  `Axiom`, `Axiom.Datatype`, `Axiom.NamedDatatype`, `Iterable<Statement>`

Enclosing class:
  `Axioms`

public static class Axioms.RestrictedDatatype extends com.stardog.stark.impl.AxiomImpl

A user-defined datatype which has facet restrictions placed on its value

Author:
  Michael Grove

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.stardog.stark.impl.AxiomImpl

  `com.stardog.stark.impl.AxiomImpl.AxiomBuilder`

  ## Nested classes/interfaces inherited from interface com.stardog.stark.Axiom

  `Axiom.ClassExpression, Axiom.Datatype, Axiom.NamedDatatype, Axiom.PropertyExpression`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final IRI`
  `mDatatype`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IRI`
  `datatype()`
  Returns the dataype represented by this expression
  `Set<Statement>`
  `graph()`
  `Iterator<Statement>`
  `iterator()`
  `Axioms.RestrictedDatatype`
  `langRange(Literal theValue)`
  Creates a new instance of a `Axioms.RestrictedDatatype` adding a langRange facet restriction
  `Axioms.RestrictedDatatype`
  `length(Literal theValue)`
  Creates a new instance of a `Axioms.RestrictedDatatype` adding a length facet restriction
  `Axioms.RestrictedDatatype`
  `maxExclusive(Literal theValue)`
  Creates a new instance of a `Axioms.RestrictedDatatype` adding a maxExclusive facet restriction
  `Axioms.RestrictedDatatype`
  `maxInclusive(Literal theValue)`
  Creates a new instance of a `Axioms.RestrictedDatatype` adding a maxInclusive facet restriction
  `Axioms.RestrictedDatatype`
  `maxLength(Literal theValue)`
  Creates a new instance of a `Axioms.RestrictedDatatype` adding a maxLength facet restriction
  `Axioms.RestrictedDatatype`
  `minExclusive(Literal theValue)`
  Creates a new instance of a `Axioms.RestrictedDatatype` adding a minExclusive facet restriction
  `Axioms.RestrictedDatatype`
  `minInclusive(Literal theValue)`
  Creates a new instance of a `Axioms.RestrictedDatatype` adding a minInclusive facet restriction
  `Axioms.RestrictedDatatype`
  `pattern(Literal theValue)`
  Creates a new instance of a `Axioms.RestrictedDatatype` adding a pattern facet restriction

  ### Methods inherited from class com.stardog.stark.impl.AxiomImpl

  `builder, builder, builder, mainNode, of, of`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.stardog.stark.Axiom

  `mainNode, toGraph`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Field Details

  - ### mDatatype

    protected final IRI mDatatype

- ## Method Details

  - ### graph

    @Nonnull public Set<Statement> graph()
    Overrides:
      `graph` in class `com.stardog.stark.impl.AxiomImpl`

  - ### iterator

    public Iterator<Statement> iterator()
    Specified by:
      `iterator` in interface `Iterable<Statement>`
    Overrides:
      `iterator` in class `com.stardog.stark.impl.AxiomImpl`

  - ### minInclusive

    public Axioms.RestrictedDatatype minInclusive(Literal theValue)
    Creates a new instance of a `Axioms.RestrictedDatatype` adding a minInclusive facet restriction
    Parameters:
      `theValue` - the value for the facet restriction
    Returns:
      a new datatype

  - ### maxInclusive

    public Axioms.RestrictedDatatype maxInclusive(Literal theValue)
    Creates a new instance of a `Axioms.RestrictedDatatype` adding a maxInclusive facet restriction
    Parameters:
      `theValue` - the value for the facet restriction
    Returns:
      a new datatype

  - ### minExclusive

    public Axioms.RestrictedDatatype minExclusive(Literal theValue)
    Creates a new instance of a `Axioms.RestrictedDatatype` adding a minExclusive facet restriction
    Parameters:
      `theValue` - the value for the facet restriction
    Returns:
      a new datatype

  - ### maxExclusive

    public Axioms.RestrictedDatatype maxExclusive(Literal theValue)
    Creates a new instance of a `Axioms.RestrictedDatatype` adding a maxExclusive facet restriction
    Parameters:
      `theValue` - the value for the facet restriction
    Returns:
      a new datatype

  - ### length

    public Axioms.RestrictedDatatype length(Literal theValue)
    Creates a new instance of a `Axioms.RestrictedDatatype` adding a length facet restriction
    Parameters:
      `theValue` - the value for the facet restriction
    Returns:
      a new datatype

  - ### maxLength

    public Axioms.RestrictedDatatype maxLength(Literal theValue)
    Creates a new instance of a `Axioms.RestrictedDatatype` adding a maxLength facet restriction
    Parameters:
      `theValue` - the value for the facet restriction
    Returns:
      a new datatype

  - ### pattern

    public Axioms.RestrictedDatatype pattern(Literal theValue)
    Creates a new instance of a `Axioms.RestrictedDatatype` adding a pattern facet restriction
    Parameters:
      `theValue` - the value for the facet restriction
    Returns:
      a new datatype

  - ### langRange

    public Axioms.RestrictedDatatype langRange(Literal theValue)
    Creates a new instance of a `Axioms.RestrictedDatatype` adding a langRange facet restriction
    Parameters:
      `theValue` - the value for the facet restriction
    Returns:
      a new datatype

  - ### datatype

    public IRI datatype()
    Returns the dataype represented by this expression
    Specified by:
      `datatype` in interface `Axiom.NamedDatatype`
    Returns:
      the datatype